# SourcePath: gstreamer/20210303dev
Summary: GStreamer streaming media framework runtime
Name: sony-target-dev-gstreamer
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-gstreamer
Version: 1.12.4
Release: 14010002
License: LGPLv2+
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL: https://gstreamer.freedesktop.org/src/gstreamer/
Source0: gstreamer-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: %{sony_target_dir}

%description
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

%package -n %{pkgname}
Summary: GStreamer streaming media framework runtime
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plugins.

%prep
%setup -n gstreamer-%{version}

%build
%sony_target_dev_setup
%sony_target_dev_configure CFLAGS="-g -O2 -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wno-error" \
	CXXFLAGS="-g -O2 -fstack-protector-strong -Wformat -Werror=format-security -Wall -Wno-error" \
	CPPFLAGS="-Wdate-time -D_FORTIFY_SOURCE=2" \
	LDFLAGS="-Wl,-Bsymbolic-functions -Wl,-z,relro -Wl,-z,defs -Wl,-O1 -Wl,--as-needed" \
	--disable-maintainer-mode --disable-dependency-tracking --disable-silent-rules \
	--disable-failing-tests --disable-examples --enable-DEBUG \
	--enable-debug --with-ptp-helper-permissions=capabilities --enable-docbook
make


%install
rm -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_makeinstall

%demangle_libtool

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_info_dir}
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/gtk-doc
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man

# 6.x
for b in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}`; do
    case $b in
        *-config)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/$b \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_bin_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_bin_dir}/*
%{sony_target_dir}%{sony_target_dev_lib_dir}/gstreamer-*/libgst*.la
%{sony_target_dir}%{sony_target_dev_lib_dir}/gstreamer-*/libgst*.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgst*.la
#%{sony_target_dir}%{sony_target_dev_lib_dir}/libgst*.so
%{sony_target_dir}%{sony_target_dev_lib_dir}/libgst*.so*
%{sony_target_dir}%{sony_target_dev_libexec_dir}/gstreamer-*/*
%{sony_target_dir}%{sony_target_dev_data_dir}/aclocal/*
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/*.pc
%{sony_target_dir}%{sony_target_dev_include_dir}/gstreamer-*/gst/*.h
%{sony_target_dir}%{sony_target_dev_include_dir}/gstreamer-*/gst/*/*.h
%{sony_target_dir}%{sony_target_dev_data_dir}/bash-completion/completions/gst-inspect-1.0
%{sony_target_dir}%{sony_target_dev_data_dir}/bash-completion/completions/gst-launch-1.0
%{sony_target_dir}%{sony_target_dev_data_dir}/bash-completion/helpers/gst

%changelog
* Wed Mar 03 2021 Sony Corporation
- Removed package name and package origin config

* Mon Feb 22 2021 Sony Corporation
- Version update to 1.12.4

* Mon Jan 25 2021 Sony Corporation
- Configure same as Kiyomasa.

* Mon Dec 25 2018 Sony Corporation
- Initial build for CE-Linux-14.1.0.x.

* Mon Jan 18 2017 Sony Corporation 
- Version update to 1.4.5

* Tue Mar 1 2016 Sony Corporation
- Version update to 1.2.3

* Tue Apr 2 2013 Sony Corporation
- Version update to 1.0.6

* Tue Apr 6 2010 Sony Corporation
- Initial build
